plugins {
    id 'com.android.library'
    id 'kotlin-android'
    id 'kotlin-kapt'
    id 'kotlin-parcelize'
}


def androidId = rootProject.ext.defaultSetting
def rely = rootProject.ext.relyOn
def imagePrefix =rootProject.ext.image_preifx
android {
    compileSdkVersion androidId.compileSdk

    defaultConfig {
        minSdkVersion androidId.minSdk
        targetSdkVersion androidId.targetSdk
        versionCode androidId.versionCode
        versionName androidId.versionName
        kapt {
            arguments {
                arg("AROUTER_MODULE_NAME", project.getName())
            }
        }
        ndk{
            moduleName "libnew_native_libe"
            ldLibs "log"
            abiFilters "armeabi-v7a","arm64-v8a"
        }


//        buildConfigField("boolean","isRelease",String.valueOf(rootProject.ext.isRelease))

        buildConfigField("String" ,"appid" ,"\"${rootProject.ext.wx.appid}\"")
        buildConfigField("String" ,"appSecret" ,"\"${rootProject.ext.wx.appSecret}\"")
        buildConfigField("String" ,"umengKey" ,"\"${rootProject.ext.umeng.umengKey}\"")
        buildConfigField("String" ,"umengChannelName" ,"\"${rootProject.ext.umeng.umengChannelName}\"")
    }

    buildTypes {
        release {
            buildConfigField("String","url","\"${url.release_url}\"")
            buildConfigField("String", "image_prefix","\"${imagePrefix.release_url}\"")
            buildConfigField("Boolean","isDebug",String.valueOf(false))
            buildConfigField("Boolean","isRelease",String.valueOf(true))
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug{
            buildConfigField("Boolean","isDebug",String.valueOf(true))
            buildConfigField("Boolean","isRelease",String.valueOf(false))
            buildConfigField("String","url","\"${url.debug_url}\"")
            buildConfigField("String", "image_prefix","\"${imagePrefix.debug_url}\"")
        }
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }


    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    viewBinding{
        enabled=true
    }
    kotlinOptions{
        jvmTarget="1.8"
    }

}
repositories {
    flatDir {
        dirs 'libs'
    }
}

dependencies {
    api project(":videocompressor")
    api fileTree(dir: 'libs', include: ['*.jar'])
    api project(':network')
    api project(':MPChartLib')
    implementation (name: 'ycbtsdk-release', ext: 'aar')
    api files('libs/rtk-bbpro-core-1.5.9.jar')
    api files('libs/rtk-core-1.1.7.jar')
    api files('libs/rtk-dfu-3.2.20.jar')
  //  api files('tbs_sdk_thirdapp_v4.3.0.386_44286_sharewithdownloadwithfile_withoutGame_obfs_20230210_114429.jar')
    api project(":AYCrashGuard")
    kapt rely.arouter_compiler
    kapt rely.glide_compiler
    kapt rely.RWidgetHelper
    kapt rely.AndroidGifDrawable

/*    api project(':tuiconversation')
    api project(':tuicontact')
    api project(':tuichat')
    api project(':tuigroup')
    api project(':tuiofflinepush')*/
    api 'com.liulishuo.filedownloader:library:1.7.7'

    api 'com.google.zxing:core:3.3.3'
   // api 'com.github.maning0303:MNZXingCode:V2.1.9'

    api 'pub.devrel:easypermissions:3.0.0'
    api 'com.alipay.sdk:alipaysdk-android:+@aar'
    api 'me.chunyu.call_kit:call_kit:2.0.1'

}